org.apache.jmeter.gui.util

## Class PowerTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - org.apache.jmeter.gui.util.PowerTableModel

- All Implemented Interfaces:
    Serializable, TableModel

      public class PowerTableModel
      extends DefaultTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.DefaultTableModel

      `columnIdentifiers, dataVector`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerTableModel()`
    `PowerTableModel(String[] headers, Class<?>[] classes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewColumn(String colName, Class<?> colClass)`
    `void` | `addNewRow()`
    `void` | `addRow(Object[] data)`
    `void` | `clearData()`
    `Class<?>` | `getColumnClass(int column)`
    `int` | `getColumnCount()` Required by table model interface.
    `List<?>` | `getColumnData(String colName)`
    `String` | `getColumnName(int column)` Required by table model interface.
    `Data` | `getData()`
    `int` | `getRowCount()` Required by table model interface.
    `Object[]` | `getRowData(int row)`
    `Object` | `getValueAt(int row, int column)` Required by table model interface. return the ValueAt value
    `boolean` | `isCellEditable(int row, int column)`
    `void` | `moveRow(int start, int end, int to)`
    `void` | `removeColumn(int col)`
    `void` | `removeRow(int row)`
    `void` | `setColumnData(int col, List<?> data)`
    `void` | `setRowValues(int row, Object[] values)`
    `void` | `setValueAt(Object value, int row, int column)` Sets the ValueAt attribute of the Arguments object.

    - ### Methods inherited from class javax.swing.table.DefaultTableModel

      `addColumn, addColumn, addColumn, addRow, convertToVector, convertToVector, getDataVector, insertRow, insertRow, newDataAvailable, newRowsAdded, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerTableModel

          public PowerTableModel(String[] headers,
                                 Class<?>[] classes)

    - #### PowerTableModel

          public PowerTableModel()

  - ### Method Detail

    - #### setRowValues

          public void setRowValues(int row,
                                   Object[] values)

    - #### getData

          public Data getData()

    - #### addNewColumn

          public void addNewColumn(String colName,
                                   Class<?> colClass)

    - #### removeRow

          public void removeRow(int row)

      Overrides:
        `removeRow` in class `DefaultTableModel`

    - #### removeColumn

          public void removeColumn(int col)

    - #### setColumnData

          public void setColumnData(int col,
                                    List<?> data)

    - #### getColumnData

          public List<?> getColumnData(String colName)

    - #### clearData

          public void clearData()

    - #### addRow

          public void addRow(Object[] data)

      Overrides:
        `addRow` in class `DefaultTableModel`

    - #### moveRow

          public void moveRow(int start,
                              int end,
                              int to)

      Overrides:
        `moveRow` in class `DefaultTableModel`

    - #### addNewRow

          public void addNewRow()

    - #### getRowData

          public Object[] getRowData(int row)

    - #### getRowCount

          public int getRowCount()

      Required by table model interface.
      Specified by:
        `getRowCount` in interface `TableModel`
      Overrides:
        `getRowCount` in class `DefaultTableModel`
      Returns:
        the RowCount value

    - #### getColumnCount

          public int getColumnCount()

      Required by table model interface.
      Specified by:
        `getColumnCount` in interface `TableModel`
      Overrides:
        `getColumnCount` in class `DefaultTableModel`
      Returns:
        the ColumnCount value

    - #### getColumnName

          public String getColumnName(int column)

      Required by table model interface.
      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `DefaultTableModel`
      Returns:
        the ColumnName value

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int column)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `DefaultTableModel`

    - #### getColumnClass

          public Class<?> getColumnClass(int column)

      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### getValueAt

          public Object getValueAt(int row,
                                   int column)

      Required by table model interface. return the ValueAt value
      Specified by:
        `getValueAt` in interface `TableModel`
      Overrides:
        `getValueAt` in class `DefaultTableModel`

    - #### setValueAt

          public void setValueAt(Object value,
                                 int row,
                                 int column)

      Sets the ValueAt attribute of the Arguments object.
      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `DefaultTableModel`
      Parameters:
        `value` - the new ValueAt value

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.